summaryrefslogtreecommitdiff
path: root/tests/misc/cat-proc
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 12:26:55 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (patch)
tree4c26a5e5aebb07fb2c35c39d51768a628a2cefa2 /tests/misc/cat-proc
parent28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (diff)
downloadcoreutils-03a08a4cd0540cd6b018c5c9f602a1d25847ba62.tar.xz
Convert tests/misc/ to use test-lib.sh, too.
Diffstat (limited to 'tests/misc/cat-proc')
-rwxr-xr-xtests/misc/cat-proc18
1 files changed, 3 insertions, 15 deletions
diff --git a/tests/misc/cat-proc b/tests/misc/cat-proc
index 975188b9e..84265e18e 100755
--- a/tests/misc/cat-proc
+++ b/tests/misc/cat-proc
@@ -22,19 +22,8 @@ if test "$VERBOSE" = yes; then
cat --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
+
f=/proc/cpuinfo
test -f $f \
@@ -52,7 +41,6 @@ fail=0
cat -E $f | sed 's/[0-9][0-9]*/D/g' | tr -d '$' > out || fail=1
cat $f | sed 's/[0-9][0-9]*/D/g' | tr -d '$' > exp || fail=1
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail